package com.landray.kmss.sys.attachment.thirdSfs.rest.controller;

import org.springframework.web.bind.annotation.GetMapping;
import com.landray.kmss.sys.attachment.thirdSfs.vo.ThirdSfsResponseResult;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.PostMapping;
import com.alibaba.fastjson.JSONObject;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpServletRequest;
import org.slf4j.LoggerFactory;
import org.slf4j.Logger;
import com.landray.kmss.web.annotation.RestApi;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.landray.kmss.sys.attachment.thirdSfs.rest.extend.SysAttExtendSuwellRestService;
import com.landray.kmss.sys.attachment.thirdSfs.rest.SysAttThirdController;

@RestController
@RequestMapping({ "/api/sys-attachment/suwell" })
@RestApi(docUrl = "/sys/attachment/restservice/sysAttFoxitRestServiceHelp.jsp", name = "SysAttSuwellController", resourceKey = "sys-attachment:sysAttSuwellController.title")
public class SysAttSuwellController extends SysAttThirdController<SysAttExtendSuwellRestService>
{
    private static final Logger logger;
    
    static {
        logger = LoggerFactory.getLogger(SysAttSuwellController.class);
    }
    
    @PostMapping({ "/convert/success" })
    public void convertSuccess(final HttpServletRequest request, final HttpServletResponse response, final MultipartFile file) throws Exception {
        final String ticket = request.getParameter("ticket");
        final String fdId = request.getParameter("fdId");
        final String ex = request.getParameter("ex");
        final String si = request.getParameter("si");
        final JSONObject params = new JSONObject();
        params.put("ticket", (Object)ticket);
        params.put("file", (Object)file);
        params.put("fdId", (Object)fdId);
        params.put("ex", (Object)ex);
        params.put("si", (Object)si);
        params.put("t", (Object)request.getParameter("t"));
        ((SysAttExtendSuwellRestService)this.getSysAttExtendThirdRestService(request)).convertSuccess(params);
    }
    
    @PostMapping({ "/convert/failed" })
    public void convertFailed(final HttpServletRequest request, final HttpServletResponse response, @RequestBody final JSONObject body) throws Exception {
        final String fdId = request.getParameter("fdId");
        final String ex = request.getParameter("ex");
        final String si = request.getParameter("si");
        body.put("fdId", (Object)fdId);
        body.put("ex", (Object)ex);
        body.put("si", (Object)si);
        body.put("t", (Object)request.getParameter("t"));
        ((SysAttExtendSuwellRestService)this.getSysAttExtendThirdRestService(request)).convertFailed(body);
    }
    
    @GetMapping({ "/preview/getFile" })
    public JSONObject getFile(final HttpServletRequest request, final HttpServletResponse response) throws Exception {
        final JSONObject json = new JSONObject();
        json.put("fdAttMainId", (Object)request.getParameter("fdAttMainId"));
        json.put("userId", (Object)request.getParameter("userId"));
        json.put("canPrint", (Object)request.getParameter("canPrint"));
        json.put("ismobile", (Object)request.getParameter("ismobile"));
        json.put("curIp", (Object)request.getRemoteAddr());
        final ThirdSfsResponseResult result = ((SysAttExtendSuwellRestService)this.getSysAttExtendThirdRestService(request)).getFileInfo(json);
        return result.getData();
    }
}
